package com.srs.comprehensive.mapper;

import com.srs.comprehensive.domain.SrsKnrdApply;
import com.srs.comprehensive.domain.SrsKnrdApprovalRecord;
import com.srs.comprehensive.domain.Vo.CphSearch;

import java.util.List;

/**
 * 困难审核Mapper接口
 * 
 * @author srs
 * @date 2024-03-19
 */
public interface SrsKnrdApprovalRecordMapper 
{
    /**
     * 查询困难审核
     * 
     * @param id 困难审核主键
     * @return 困难审核
     */
    public SrsKnrdApprovalRecord selectSrsKnrdApprovalRecordById(Long id);

    /**
     * 查询困难审核列表
     * 
     * @param srsKnrdApprovalRecord 困难审核
     * @return 困难审核集合
     */
    public List<SrsKnrdApprovalRecord> selectSrsKnrdApprovalRecordList(SrsKnrdApprovalRecord srsKnrdApprovalRecord);

    /**
     * 新增困难审核
     * 
     * @param srsKnrdApprovalRecord 困难审核
     * @return 结果
     */
    public int insertSrsKnrdApprovalRecord(SrsKnrdApprovalRecord srsKnrdApprovalRecord);


    public int batchInsertSrsKnrdApprovalRecord(SrsKnrdApprovalRecord srsKnrdApprovalRecord);
    /**
     * 修改困难审核
     * 
     * @param srsKnrdApprovalRecord 困难审核
     * @return 结果
     */
    public int updateSrsKnrdApprovalRecord(SrsKnrdApprovalRecord srsKnrdApprovalRecord);

    /**
     * 删除困难审核
     * 
     * @param id 困难审核主键
     * @return 结果
     */
    public int deleteSrsKnrdApprovalRecordById(Long id);

    /**
     * 批量删除困难审核
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsKnrdApprovalRecordByIds(Long[] ids);

    public List<SrsKnrdApply> listView(CphSearch param);

    public SrsKnrdApprovalRecord selectSrsKnrdApprovalRecordByIds(Long id);
}
